org.apache.cayenne.dba.db2

## Class DB2QualifierTranslator

- java.lang.Object
- - org.apache.cayenne.access.trans.QueryAssemblerHelper
  - - org.apache.cayenne.access.trans.QualifierTranslator
    - - org.apache.cayenne.access.trans.TrimmingQualifierTranslator
      - - org.apache.cayenne.dba.db2.DB2QualifierTranslator

- All Implemented Interfaces:
    TraversalHandler

      public class DB2QualifierTranslator
      extends TrimmingQualifierTranslator

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator

      `trimFunction`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QualifierTranslator

      `caseInsensitive, matchingObject, objectMatchTranslator`

    - ### Fields inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper

      `out, queryAssembler, strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2QualifierTranslator(QueryAssembler queryAssembler, String trimFunction)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendLiteralDirect(Object val, DbAttribute attr, Expression parentExpression)` Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built.
    `protected void` | `processColumnWithQuoteSqlIdentifiers(DbAttribute dbAttr, Expression pathExp)` Adds special handling of CHAR columns.

    - ### Methods inherited from class org.apache.cayenne.access.trans.TrimmingQualifierTranslator

      `getTrimFunction, processColumn, setTrimFunction`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QualifierTranslator

      `appendLiteral, appendObjectMatch, detectObjectMatch, doAppendPart, doAppendPart, endNode, extractQualifier, finishedChild, objectNode, operandForBitwiseAnd, operandForBitwiseNot, operandForBitwiseOr, operandForBitwiseXor, parenthesisNeeded, processRelTermination, setCaseInsensitive, startNode`

    - ### Methods inherited from class org.apache.cayenne.access.trans.QueryAssemblerHelper

      `appendDbPath, appendLikeEscapeCharacter, appendObjPath, appendPart, getDbEntity, getObjEntity, paramsDbType, processRelTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DB2QualifierTranslator

          public DB2QualifierTranslator(QueryAssembler queryAssembler,
                                        String trimFunction)

  - ### Method Detail

    - #### appendLiteralDirect

          protected void appendLiteralDirect(Object val,
                                             DbAttribute attr,
                                             Expression parentExpression)
                                      throws IOException

      Description copied from class: `QueryAssemblerHelper`
      Appends SQL code to the query buffer to handle `val` as a parameter to the PreparedStatement being built. Adds `val` into QueryAssembler parameter list.
      Overrides:
        `appendLiteralDirect` in class `QueryAssemblerHelper`
      Throws:
        `IOException`

    - #### processColumnWithQuoteSqlIdentifiers

          protected void processColumnWithQuoteSqlIdentifiers(DbAttribute dbAttr,
                                                              Expression pathExp)
                                                       throws IOException

      Description copied from class: `TrimmingQualifierTranslator`
      Adds special handling of CHAR columns.
      Overrides:
        `processColumnWithQuoteSqlIdentifiers` in class `TrimmingQualifierTranslator`
      Throws:
        `IOException`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.